#
# spec file for package mailsync (Version 5.1.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gpp imap-devel libgpp openssl openssl-devel pam pam-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gcc-c++ gdbm gettext imap-devel libstdc++-devel libtool openssl-devel pam-devel perl rpm

Name:         mailsync
License:      GPL
Group:        Productivity/Networking/Email/Utilities
Group:        Productivity/Networking/Email/Utilities
Requires:     imap-devel openssl pam
Autoreqprov:  on
Version:      5.1.1
Release:      150.1
URL:          http://sourceforge.net/projects/mailsync/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       http://unc.dl.sourceforge.net/sourceforge/mailsync/%{name}_%{version}.orig.tar.gz
Patch:        %{name}-%{version}.diff
Patch1:       %{name}-%{version}-assert.patch
Patch2:       %{name}-%{version}-fixes.patch
Summary:      The mail sync tool

%description
Mailsync is a way of keeping a collection of mailboxes synchronized.
The mailboxes may be on the local filesystem or on an IMAP server.



Authors:
--------
    Tim Culver <tim@doppke.com>
    Tomas Pospisek <tpo_deb@sourcepole.ch>

%prep
%setup -q
%patch
%patch1 -p1
%patch2 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 src/mailsync $RPM_BUILD_ROOT%{_bindir}
install -m 644 doc/mailsync.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README THANKS TODO doc/examples/ doc/ABSTRACT
%doc %{_mandir}/man1/mailsync.1.gz
%{_bindir}/mailsync

%changelog -n mailsync
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Wed Apr 30 2003 - rommel@suse.de
- update to 5.1.1
- fixed some code glitches (see mailsync-5.1.1-fixes.patch)
- fix for lib64
* Mon Apr 14 2003 - rommel@suse.de
- update to 5.1.0
- mailsync has switched to autoconf/automake
- linkage.c has been dropped from the patch (now part of imap-devel)
* Tue Feb 25 2003 - aj@suse.de
- Include cassert for assert.
* Mon Nov 18 2002 - rommel@suse.de
- update to version 4.4.4
- fixed ssl support by providing my own linkage.c
- fixed linkage with c-client so this builds on 64bit platforms
* Thu Sep 05 2002 - rommel@suse.de
- initial package creation of mailsync 4.3
